"use strict";

var Annotation = require("./Annotation");
var TargettingStructure = require("./TargettingStructure");

function Drug(javaObject) {
  TargettingStructure.call(this, javaObject);
  if (javaObject !== undefined) {
    this.setBrandNames(javaObject.brandNames);
    this.setReferences(javaObject.references);
    this.setSynonyms(javaObject.synonyms);
    this.setDescription(javaObject.description);
    this.setBloodBrainBarrier(javaObject.bloodBrainBarrier);
  }
}

Drug.prototype = Object.create(TargettingStructure.prototype);
Drug.prototype.constructor = Drug;

Drug.prototype.setBrandNames = function(brandNames) {
  this._brandNames = brandNames;
};

Drug.prototype.getBrandNames = function() {
  return this._brandNames;
};

Drug.prototype.setReferences = function(references) {
  this._references = [];
  for (var i = 0; i < references.length; i++) {
    this._references.push(new Annotation(references[i]));
  }
};

Drug.prototype.getReferences = function() {
  return this._references;
};

Drug.prototype.setSynonyms = function(synonyms) {
  this._synonyms = synonyms;
};

Drug.prototype.getSynonyms = function() {
  return this._synonyms;
};

Drug.prototype.setDescription = function(description) {
  this._description = description;
};

Drug.prototype.getDescription = function() {
  return this._description;
};

Drug.prototype.setBloodBrainBarrier = function(bloodBrainBarrier) {
  this._bloodBrainBarrier = bloodBrainBarrier;
};

Drug.prototype.getBloodBrainBarrier = function() {
  return this._bloodBrainBarrier;
};

module.exports = Drug;
